UFO: Alien Invasion Issue Tracker
star_faded.png
Please log in to bookmark issues
bug_report_small.png
CLOSED  Bug report #5641  -  "Lower the level" doesn't work
Posted Feb 07, 2017 - updated Feb 07, 2017
icon_info.png This issue has been closed with status "Closed" and resolution "RESOLVED".
Issue details
  • Type of issue
    Bug report
  • Status
     
    Closed
  • Assigned to
     DarkRain
  • Progress
       
  • Type of bug
    Not triaged
  • Likelihood
    Not triaged
  • Effect
    Not triaged
  • Posted by
     Darkriser
  • Owned by
    Not owned by anyone
  • Estimated time
    Not estimated
  • Category
    Not determined
  • Resolution
    RESOLVED
  • Priority
    Not determined
  • Reproducability
    Not determined
  • Severity
    Not determined
  • Targetted for
    icon_milestones.png Not determined
  • Complexity
    icon_customdatatype.png Trivial
  • Platform
    icon_customdatatype.png Linux
  • Architecture
    icon_customdatatype.png x86_64
Issue description
When in mission (irrelevant of map, skirmish or campaign), the "down" arrow in upper left corner (Lower the level) doesn't work. The upper one works fine.

Doesn't work in commit: 3405a0a8d79a112f2ac828d32ec947668ad5c920. Works in commit: 18ab70d9365027cb98738da9fad6bc15ade1ab5f
Steps to reproduce this issue
  1. compiled ufoai commit 3405a0a8d79a112f2ac828d32ec947668ad5c920 using ./configure --disable-execinfo --with-embedded-lua5.1 && make -j2
(I'm running 4.9.6-1-ARCH #1 SMP PREEMPT Thu Jan 26 09:22:26 CET 2017 x86_64 GNU/Linux and compilation doesn't like my installed lua nor lua5.1)
  1. ./ufoai
  2. start skirmish (choose any map)
  3. once loaded, click "Raise the level" arrow and try to click "Lower the level" arrow